com.io7m.smfj.format.binary

## Class SMFBSection.Builder

- java.lang.Object
- - com.io7m.smfj.format.binary.SMFBSection.Builder

- Enclosing class:
    SMFBSection

      public static final class SMFBSection.Builder
      extends Object

  Builds instances of type `SMFBSection`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFBSection` | `build()` Builds a new `SMFBSection`.
    `SMFBSection.Builder` | `from(SMFBSectionType instance)` Fill a builder with attribute values from the provided `SMFBSectionType` instance.
    `SMFBSection.Builder` | `setId(long id)` Initializes the value for the `id` attribute.
    `SMFBSection.Builder` | `setOffset(long offset)` Initializes the value for the `offset` attribute.
    `SMFBSection.Builder` | `setSizeOfData(long sizeOfData)` Initializes the value for the `sizeOfData` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFBSection.Builder from(SMFBSectionType instance)

      Fill a builder with attribute values from the provided `SMFBSectionType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setId

          public final SMFBSection.Builder setId(long id)

      Initializes the value for the `id` attribute.
      Parameters:
        `id` - The value for id
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeOfData

          public final SMFBSection.Builder setSizeOfData(long sizeOfData)

      Initializes the value for the `sizeOfData` attribute.
      Parameters:
        `sizeOfData` - The value for sizeOfData
      Returns:
        `this` builder for use in a chained invocation

    - #### setOffset

          public final SMFBSection.Builder setOffset(long offset)

      Initializes the value for the `offset` attribute.
      Parameters:
        `offset` - The value for offset
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFBSection build()

      Builds a new `SMFBSection`.
      Returns:
        An immutable instance of SMFBSection
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com